Module | ActiveSupport::CoreExtensions::File::Atomic
In: | lib/active_support/core_ext/file/atomic.rb

### Methods

atomic_write

### Public Instance methods

atomic_write(file_name, temp_dir = Dir.tmpdir) {|temp_file| ...}

Write to a file atomically. Useful for situations where you don‘t want other processes or threads to see half-written files.

      File.atomic_write("important.file") do |file|
        file.write("hello")
      end

If your temp directory is not on the same filesystem as the file you‘re trying to write, you can provide a different temporary directory.

      File.atomic_write("/data/something.important", "/data/tmp") do |f|
        file.write("hello")
      end

[Validate]